Μετάβαση στο περιεχόμενο

Πτήσεις

Re-price an offer right before booking. `priceChanged` tells you the total moved.

post/v1/flights/offers/{offerId}/price

  • Απαιτεί αυθεντικοποίηση

Παράμετροι

ΌνομαΘέσηΤύποςΠεριγραφή
offerId*διαδρομήstring

Αποκρίσεις

200OKFlightPriceResponse

  • FlightOffer
    • offerIdstring
    • expiresAtstring (date-time)

      UTC ISO-8601; the offer must be priced/booked before this.

    • validatingCarrierstringμπορεί να είναι null
    • Slice[]
    • PassengerPricing[]
    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • refundablebooleanμπορεί να είναι null
    • passportRequiredboolean
    • selfTransferboolean
    • charterboolean
    • tripTypestringμπορεί να είναι null
  • priceChangedboolean
  • baggagestringμπορεί να είναι null
  • endorsementstringμπορεί να είναι null
  • 404Not FoundΛεπτομέρειες προβλήματος RFC 7807

Παραδείγματα κώδικα

Πλήρη προγράμματα που υπογράφουν το αίτημα με τον τρόπο που το επαληθεύει η πύλη. Αντικαταστήστε τα YOUR_KEY_ID και YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/price\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X POST "https://api.dubaitrip.com/v1/flights/offers/fo_7Gk2Qp9LcKM5aGqrMQOIzJko/price" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"